Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(155)

Issue 2546993002: [css-grid] Fix crash clamping grid lines (Closed)

Created:
3 years, 1 month ago by Manuel Rego
Modified:
3 years, 1 month ago
CC:
chromium-reviews, blink-reviews-css, dglazkov+blink, apavlov+blink_chromium.org, darktears, blink-reviews, rwlbuis
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[css-grid] Fix crash clamping grid lines Avoid issues with very big values for the grid lines clamping them during parsing time. BUG=670241 TEST=CSSPropertyParserTest.GridPositionLimit* Committed: https://crrev.com/784fc71c3d69b622afc93ff2005640f8592b0ff5 Cr-Commit-Position: refs/heads/master@{#439094}

Patch Set 1 #

Total comments: 2

Patch Set 2 : New version adding CSSPrimitiveValue::getIntValueClamped() #

Total comments: 2

Patch Set 3 : Use clampTo() #

Unified diffs Side-by-side diffs Delta from patch set Stats (+71 lines, -0 lines) Patch
M third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp View 1 2 1 chunk +6 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/parser/CSSPropertyParserTest.cpp View 1 chunk +65 lines, -0 lines 0 comments Download

Messages

Total messages: 21 (9 generated)
Manuel Rego
3 years, 1 month ago (2016-12-02 12:09:10 UTC) #2
jfernandez
Added @timloh https://codereview.chromium.org/2546993002/diff/1/third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp File third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp (right): https://codereview.chromium.org/2546993002/diff/1/third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp#newcode3024 third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp:3024: if (numericValue) { Wouldn't be better to ...
3 years, 1 month ago (2016-12-02 12:28:03 UTC) #4
svillar
We should consider this for merging into stable
3 years, 1 month ago (2016-12-13 08:44:42 UTC) #5
Manuel Rego
Thanks for the review, uploaded new version. PTAL. https://codereview.chromium.org/2546993002/diff/1/third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp File third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp (right): https://codereview.chromium.org/2546993002/diff/1/third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp#newcode3024 third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp:3024: if ...
3 years, 1 month ago (2016-12-15 16:51:22 UTC) #6
jfernandez
lgtm
3 years, 1 month ago (2016-12-16 10:53:27 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2546993002/20001
3 years, 1 month ago (2016-12-16 10:54:06 UTC) #9
svillar
https://codereview.chromium.org/2546993002/diff/20001/third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp File third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp (right): https://codereview.chromium.org/2546993002/diff/20001/third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp#newcode3026 third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp:3026: numericValue->getIntValueClamped(-kGridMaxTracks, kGridMaxTracks), Instead of using this you can get ...
3 years, 1 month ago (2016-12-16 10:58:33 UTC) #10
Manuel Rego
Thanks for the reviews, just uploaded a new version. https://codereview.chromium.org/2546993002/diff/20001/third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp File third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp (right): https://codereview.chromium.org/2546993002/diff/20001/third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp#newcode3026 third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp:3026: ...
3 years, 1 month ago (2016-12-16 11:28:41 UTC) #12
svillar
Much better indeed. lgtm
3 years, 1 month ago (2016-12-16 12:07:19 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2546993002/40001
3 years, 1 month ago (2016-12-16 12:09:13 UTC) #16
commit-bot: I haz the power
Committed patchset #3 (id:40001)
3 years, 1 month ago (2016-12-16 13:31:04 UTC) #19
commit-bot: I haz the power
3 years, 1 month ago (2016-12-16 13:33:13 UTC) #21
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/784fc71c3d69b622afc93ff2005640f8592b0ff5
Cr-Commit-Position: refs/heads/master@{#439094}

Powered by Google App Engine
This is Rietveld 408576698